Carbide.C++

-

Средства разработки



arok


репутация:
на сайте с 1970 года
сообщений:

#1

Обсуждаем Carbide.C++
Carbide.C++ поддерживает разработку приложений для Symbian OS следующих семейств: S60, S80, UIQ(при наличии соответствующиего SDK). Более подробную информацию об линейке продуктов Carbide.C++ можно получить на forum.nokia.com, так же там можно скачать последнюю версию продукта. На данный момент это версия 2.3. Эта версия не поддерживает разработку приложений для S60 2nd edition, для этого вам понадобится версия 1.2, она доступна на этой странице.
Русский FAQ находится на этой странице.
IDE доступна в следующих версиях: Express(бесплатная, предназначена для ознакомления), Developer, Professional и OEM.
Прочитать небольшую информацию, на русском, по линейке продуктов Carbide.C++ можно на этой странице.


тема создана:

Рейтинг: 4
голосов: 1

arok


репутация:
на сайте с 1970 года
сообщений:

#2

Для удобства собрал в template для карбида простой класс для хранения настроек, можно быстро вставлять в проект. Инструкция по установке в архиве.

Прикрепленный файл #1: settingsclasstemplate_by_arok_in_19022010234819_f.zip (4.65 кб)

kolayuk


репутация: 888
на сайте с 2006 года
сообщений: 575

LG Nexus 4 (LG-E960)

Санкт-Петербург

Возраст - 29

#3

А есть у кого ActivePerl? А то карбид после установки заявляет вы ОБЯЗАНЫ его установить, а по предложенной ссылке не качается. На оффсайте перла только новые версии

arok


репутация:
на сайте с 1970 года
сообщений:

#4

на форум нокии был перл, оф сайт отказался от поддержки старых версий.

SQR


репутация: 488
на сайте с 2006 года
сообщений: 2338

OnePlus 3T

Пенза

Возраст - 31

#5

Кстати, никто не замечал такую неприятную вещь? Когда в ммп файле проекта отсутствует название необходимой либы, карбид на вкладке problems иногда об этом не сообщает. Дело в моих руках или в карбиде? Приходится постоянно смотреть в консоль. Карбид 2.3, на 2.0 вроде нормально все было

Stim777


репутация:
на сайте с 1970 года
сообщений:

#6

SQR,
тоже довольно часто с этим сталкивался, решение только при инклуде новых библиотек смотреть какие либы она использует

kolayuk


репутация: 888
на сайте с 2006 года
сообщений: 575

LG Nexus 4 (LG-E960)

Санкт-Петербург

Возраст - 29

#7

Пытаюсь скомпилировать хелло ворлд (чтоб вылазил по левому софту), вроде бы работоспособный код отказывается компилироваться заявляя что файл не найден (47 строка и ниже) и даже в том случае если exe скомпилировалось, все равно отказывается паковаться в сис. В чем дело?
-------------
добавлено в 21.15: Там ошибка была. Левый софт был к options привязян, а вызывалась моя функция. Изменил в свойствах, теперь опять не компилится и в сис не пакует, но проходит чуть дальше https://paste.org.ru/?1jujcq Для 3rd какую платформу указывать надо, ARM же, верно?
-------------
добавлено в 23.57: в итоге после того как я указал платформой GCCE проект скомпилился. Вопрос о платформе остается открытым smile

Stim777


репутация:
на сайте с 1970 года
сообщений:

#8

Цитата: kolayuk
отказывается компилироваться заявляя что файл не найден

это в пкг смотри, там какой то путь прописан, по которому не находит файл
ты все на С ставил? и сдк и карбид и перл? попробую на С переставить если щас не там
Цитата: kolayuk
GCCE

компилирую так

arok


репутация:
на сайте с 1970 года
сообщений:

#9

платформа - phone
компилятор - gcce, armv5 платный

kolayuk


репутация: 888
на сайте с 2006 года
сообщений: 575

LG Nexus 4 (LG-E960)

Санкт-Петербург

Возраст - 29

#10

как консольную программу упаковать в сис с иконкой? в project->propeties указал чтоб в сис паковало, но оно тока экзешник пакует... Как сделать чтобы он как в гуи программе генерировал reg_rsc и все остальное что надо?


Напомнить пароль

Яндекс.Метрика